Get a report delivery run
curl --request GET \
--url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/report-deliveries/{id}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/report-deliveries/{id}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/report-deliveries/{id}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deliveryId": 123,
"id": 123,
"startedAt": "2023-11-07T05:31:56Z",
"status": "running",
"trigger": "manual",
"cellsWritten": 123,
"error": {
"code": "<string>",
"text": "<string>"
},
"finishedAt": "2023-11-07T05:31:56Z",
"rowsWritten": 123
}Report Deliveries
Get a report delivery run
GET
/
api
/
v1
/
deployments
/
{deploymentId}
/
report-deliveries
/
{id}
/
runs
/
{runId}
Get a report delivery run
In preview: ask Cube support to enable it. Poll it after starting a run:
status stays running until the run finishes.Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Path Parameters
Numeric id of the deployment that owns the delivery.
Numeric id of the report delivery.
Numeric id of the run, as returned when it was started.
Response
200 - application/json
Available options:
running, succeeded, unchanged, failed, skipped, missed Available options:
manual, schedule Cells written, headers included.
null unless the run failed.
Show child attributes
Show child attributes
null while the run is going.
Result rows written, headers excluded.